org.bouncycastle.crypto

## Class CryptoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.bouncycastle.crypto.CryptoException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidCipherTextException

    public class CryptoException
    extends java.lang.Exception

the foundation class for the hard exceptions thrown by the crypto packages.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CryptoException()` base constructor.
`CryptoException(java.lang.String message)` create a CryptoException with the given message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CryptoException

    public CryptoException()

base constructor.

#### CryptoException

    public CryptoException(java.lang.String message)

create a CryptoException with the given message.

Parameters:
  `message` - the message to be carried with the exception.